Package com.usatiuk.objects

# Class JDataVersionedWrapperLazy

java.lang.Object
com.usatiuk.objects.JDataVersionedWrapperLazy

All Implemented Interfaces:
  `Data<JDataVersionedWrapper>`, `MaybeTombstone<JDataVersionedWrapper>`, `JDataVersionedWrapper`

public final class JDataVersionedWrapperLazy extends Object implements JDataVersionedWrapper

## Constructor Summary

Constructors
Constructor
Description
`JDataVersionedWrapperLazy(long version, int estimatedSize, Supplier<JData> producer)`

## Method Summary

Modifier and Type
Method
Description
`JData`
`data()`
`int`
`estimateSize()`
`void`
`setCacheCallback(Runnable cacheCallback)`
`long`
`version()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.usatiuk.objects.JDataVersionedWrapper

`value`

## Constructor Details

### JDataVersionedWrapperLazy

public JDataVersionedWrapperLazy(long version, int estimatedSize, Supplier<JData> producer)

## Method Details

### setCacheCallback

public void setCacheCallback(Runnable cacheCallback)

### data

public JData data()

Specified by:
  `data` in interface `JDataVersionedWrapper`

### version

public long version()

Specified by:
  `version` in interface `JDataVersionedWrapper`

### estimateSize

public int estimateSize()

Specified by:
  `estimateSize` in interface `JDataVersionedWrapper`